Debian Bug report logs - #605786
luarocks: problems when upgrade to squeeze

version graph

Package: luarocks; Maintainer for luarocks is Enrico Tassi <gareuselesinge@debian.org>; Source for luarocks is src:luarocks.

Reported by: Alexander Kudrevatykh <kudrevatykh@gmail.com>

Date: Fri, 3 Dec 2010 13:48:01 UTC

Severity: important

Tags: jessie, sid, squeeze, wheezy

Found in version luarocks/2.0.2-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#605786; Package luarocks. (Fri, 03 Dec 2010 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kudrevatykh <kudrevatykh@gmail.com>:
New Bug report received and forwarded. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Fri, 03 Dec 2010 13:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Kudrevatykh <kudrevatykh@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: luarocks: problems when upgrade to squeeze
Date: Fri, 03 Dec 2010 16:44:43 +0300
Package: luarocks
Version: 2.0.2-1
Severity: important
Tags: squeeze sid

After upgrade from stable to testing lua can't handle luarocks packages built
with old version of luarocks. They are visible in luarocks, but lua cant import
them with pcall(require,"luarocks.require") require("some_module").
When I uninstalled all rocks and install them again they continue working.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages luarocks depends on:
ii  liblua5.1-0-dev [liblua5.1-de 5.1.4-5    Simple, extensible, embeddable pro
ii  lua5.1                        5.1.4-5    Simple, extensible, embeddable pro
ii  wget                          1.12-2.1   retrieves files from the web
ii  zip                           3.0-3      Archiver for .zip files

luarocks recommends no packages.

luarocks suggests no packages.

-- no debconf information




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:56 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:42:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:21:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.